Parallel versions in a milestone

2010-11-20 08:36 - Raghu Sunderam

Status: Closed Start date: 2010-11-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Redmine doesn't not treat multiple versions in a single milestone in parallel order.

This leads to an incorrect estimated milestone completion time in roadmaps.

Overview:

I have 3 versions in a single milestone, all the 3 versions has its own workers (resources).

3 versions has their own estimated time of completion such as 1 month, 3 month and 5 month.

Current result:

Redmine currently shows the estimated milestone completion time as 9 months :(

Expected result:

Redmine should show the estimated time of completion for the milestone as 5 month.

History

#1 - 2010-11-20 08:48 - Raghu Sunderam

I have used Advanced Roadmap plugin to get the Milestone feature in redmine.

But the milestone estimation is done by redmine core it self rather than the plugin.

So the involvement of plugin in this issue should not be taken for consideration.

#2 - 2010-11-20 08:57 - James Turnbull

So ... you don't mention your Redmine version or mention what plug-in you're using for Milestones.

Also - I don't rate this as a High.

#3 - 2010-11-20 10:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Redmine currently shows the estimated milestone completion time as 9 months :(

 There is no milestones in Redmine core.

#4 - 2010-11-20 11:33 - Raghu Sunderam

- Status changed from Closed to Reopened

Redmine may not have Milestone feature.

I have already inform you that please don't invalidate this bug report because of involvement of 3rd party plugin.

Being presence of milestone is not in relation to this bug report.

I have removed milestones and still the estimation is wrong in road-map.

#5 - 2010-11-20 14:02 - Jean-Philippe Lang
Being presence of milestone is not in relation to this bug report.

 Then your bug report is really unclear.

So please, describe how the core calculation of version completion on the roadmap is wrong.

#6 - 2010-11-20 14:28 - Raghu Sunderam

Ok, it appears redmine won't yet show the combined completion time of multiple versions in the roadmap.

So, is it up to the plugin module who combines multiple versions into a single milestone or roadmap to calculate the estimated total milestone or

roadmap completion time?

#7 - 2010-12-23 06:46 - Jean-Baptiste Barth

- Status changed from Reopened to Closed

- Priority changed from High to Normal

Redmine core has nothing to do with combined time of multiple versions, since they're treated independently as far as I know. So yes, it's clearly up to

your "milestone" plugin to do such calculations.

I close this issue as I don't understand the defect here (maybe it's a feature request in your head?).

If you want to reopen, please read SubmittingBugs, give us all the requested informations with minimal steps to reproduce (without any plugin

involved if possible).
